<?php
namespace classifier;

    use yii\web\AssetBundle;


    class ClassifierAssets extends AssetBundle
    {
        /**
         * @var string
         */
        public $sourcePath = "@vendor/esempla/yii2-classifiers/src//assets";

        /**
         * Returneaza css ce se vor incarca
         * @var array
         */
        public $css = [
            'css/index.css',
        ];

        /**
         * retuneaza dependentele
         * @var array
         */
        public $depends = [
            'backend\assets\AppAsset',
        ];
        /**
         * optiune ce obliga inoirea asseturilor
         * @var array
         */
        public $publishOptions = [
            'forceCopy' => true,
        ];
    }
