//Clone the hidden element and shows it
$('.add-one').click(function () {
    $('.alert-danger').replaceWith('');
    $('.form-group').removeClass('has-error');
    $('.md-form').removeClass('has-error');
    $('.form-check').removeClass('has-error');
    $(".errror_array2").html(" ").css("display", "none");
    let last_key = $(".dynac-element").data("key");
    const result = $("form#form_classifying").serialize();
    $(".form-dynamic").last().removeClass('last_active');
    let data = `${result}&key=${encodeURI(last_key)}`;
    $.post('/classifiercreator/default/item', data, function (data) {
        // noinspection JSJQueryEfficiency
        $(".dynac-element").append(data);
        $(".dynac-element").data("key", ++last_key);
        const last_id = $(".dynamyc_select").data("id", last_key);
        $(".form-dynamic").last().addClass('last_active');

    });

    toastr["success"]("Success added");
    attach_delete();
});

//Attach functionality to delete buttons
function attach_delete() {
    $('.delete').off();
    $(document).on('click', '.delete', function (e) {
        $(this).closest('.delete_element').remove();
    });
}
$("form#form_classifying").on("submit", function (e) {
    e.preventDefault();
    e.stopPropagation();
    e.stopImmediatePropagation();
    result = $(this).serialize();
    $(".errror_array2").html(" ");
    $('.alert-danger').replaceWith('');
    $('.form-group').removeClass('has-error');
    $('.form-check').removeClass('has-error');
    $('.md-form').removeClass('has-error');
    $("form#form_classifying div").removeClass('form_dynamic_error');

    $(".errror_array2").html(" ").css("display", "none");

    $.ajax({
        type: "post",
        url: "/classifiercreator/default/serialize",
        data: result,


        success: function (data) {
            array_data = JSON.parse(data);
            const last_key = $(".dynac-element").data("key");
            old_key = last_key - 1;

            $.each(array_data, function (index, item) {

                if (index === "classifier") {
                    $.each(item, function (index, item) {

                        field = index.toLowerCase();
                        $("#classifier_data-" + field).closest('.md-form').addClass('has-error');
                        $("#classifier_data-" + field).closest('.form-check').addClass('has-error');
                        if ($("#error_array2:last-of-type").html()) {
                            $("#error_array2:last-of-type").append(item + "<br>").css("display", "block");
                        }
                        else {
                            $("#error_array2:last-of-type").append(item).css("display", "block");
                        }


                    })
                } else if (index === "fields") {
                    $.each(item, function (index, item1) {

                        $("#" + index).closest('.form-group').addClass('has-error');
                        $("#" + index).closest('.form-dynamic').addClass('form_dynamic_error');
                       if ( $("#error_array2:last-of-type").html()){
                           $("#error_array2:last-of-type").append(item1 + "<br>" ).css("display", "block");
                       } else {
                           $("#error_array2:last-of-type").append( item1).css("display", "block");
                       }


                    })

                }
                else if (item.default) {
                    console.log(item.default);
                    if(item.default["default"] !== "undefined") {
                        $("#classifier-" + index + "-default").closest('.form-dynamic').addClass('form_dynamic_error');
                        $("#classifier-" + index + "-default").closest('.form-group').addClass('has-error');
                        if ($("#error_array2:last-of-type").html()){
                            $("#error_array2:last-of-type").append(item.default[0] + "<br>").css("display", "block");
                        } else {
                            $("#error_array2:last-of-type").append(item.default[0] ).css("display", "block");
                        }

                    }
                }
                else if (item.type ) {
                    $("#classifier-" + index + "-type").closest('.form-dynamic').addClass('form_dynamic_error');

                    $("#classifier-" + index + "-type").closest('.form-group').addClass('has-error');
                        $("#error_array2:last-of-type").append(item.type[0] + "<br>").css("display", "block");
                }
                else {
                    $('form#form_classifying [name*="[clasificator_tip]"]').closest('.form-group').addClass('has-error');
                    $("#error_array2:last-of-type").append("<br>" + item).css("display", "block");
                }
            });


        }
    });
});


$(document).on('change', 'form#form_classifying [name*="[type]"]', function (index) {
    if ($(this).trigger('change.select2')) {
        if ($(this).val() === "classifier") {


            const $dataIdElement = $(this).closest('.row.delete_element').find('[data-id]'),
                dataId = $dataIdElement.attr('data-id');

            $(".get_options[data-id=" + dataId + "] ").html('');
            $(".dynamyc_select_option[data-id=" + dataId + "] ").html('');
            $(".dynamyc_select_remove[data-id=" + dataId + "]").replaceWith('');

            $.post('/classifiercreator/default/select', {key: dataId}, function (data) {
                $(".get_options[data-id=" + dataId + "]").append(data);
            });
        }
    }
});
// =================== load options for form
$(document).on('change', 'form#form_classifying [name*="[type]"]', function (index) {
    if ($(this).trigger('change.select2')) {
        data = [
            "integer", "bigInteger", "decimal", "float", "double", "string"
        ];

        if ($.inArray($(this).val(), data) >= 0) {


            const $dataIdElement = $(this).closest('.row.delete_element').find('[data-id]'),
                dataId = $dataIdElement.attr('data-id');

            $(".get_options[data-id=" + dataId + "] ").html('');


            $.post('/classifiercreator/default/get-option', {key: dataId}, function (data) {
                $(".get_options[data-id=" + dataId + "]").append(data);
            });
        }
    }
});
$(document).on('change', 'form#form_classifying [name*="[type]"]', function (index) {
    if ($(this).trigger('change.select2')) {
        data = [
            "char", "text"
        ];

        if ($.inArray($(this).val(), data) >= 0) {


            const $dataIdElement = $(this).closest('.row.delete_element').find('[data-id]'),
                dataId = $dataIdElement.attr('data-id');

            $(".get_options[data-id=" + dataId + "] ").html('');


            $.post('/classifiercreator/default/get-special-option', {key: dataId}, function (data) {
                $(".get_options[data-id=" + dataId + "]").append(data);
            });
        }
    }
});
$(document).on('change', 'form#form_classifying [name*="[type]"]', function (index) {
    if ($(this).trigger('change.select2')) {
        data = [
            "date", "time", "dateTime", "timestamp" , "boolean"
        ];

        if ($.inArray($(this).val(), data) >= 0) {


            const $dataIdElement = $(this).closest('.row.delete_element').find('[data-id]'),
                dataId = $dataIdElement.attr('data-id');

            $(".get_options[data-id=" + dataId + "] ").html('');


            $.post('/classifiercreator/default/get-label', {key: dataId}, function (data) {
                $(".get_options[data-id=" + dataId + "]").append(data);
            });
        }
    }
});

$(document).on('change', 'form#form_classifying [name*="[clasificator_tip]"]', function () {
    if ($(this).trigger('change.select2')) {

        // id_lenght=$(this).prop('id');
        // id_lenght=id_lenght.substring(0, 12);

        const $dataIdElement = $(this).closest('.row.delete_element').find('[data-id]'),
            dataId = $dataIdElement.attr('data-id');


        $(".dynamyc_select_option[data-id=" + dataId + "] ").html('');
        // $(".dynamyc_select_remove[data-id=" + last_id + "]").replaceWith('');
        option = $(".get_options[data-id=" + dataId + "] select").val();


        $.post('/classifiercreator/default/select-option', {key: dataId, option: option}, function (data) {
            $(".dynamyc_select_option[data-id=" + dataId + "]").append(data);

        });
    }

});
$(".form-dynamic").last().addClass('last_active');

$(document).find('select[readonly].select2-hidden-accessible + .select2-container').closest('.col-md-12').find('.select2-selection--single').css("background-color", "#eee");
