<?php

namespace classifier\modules\ClassifierCreator\models;

use yii\base\Model;

/**
 * Class ClassifierData
 * @package classifier\modules\ClassifierCreator\models
 */
class ClassifierData extends Model
{

    public $tableName;
    public $generateCrud;
    public $generateTable;
    public $generateModel;
    public $description;

    /**
     * @return array
     */
    public function rules()
    {
        return [
            [['tableName'], 'required'],
            [['tableName'], 'required'],
            ['tableName', 'match', 'pattern' => '/^[A-Za-z]/', 'message' => 'The first character must be the letter!'],
            [ ['generateTable','generateCrud','generateModel'], 'boolean'],

            [['generateTable'], 'required', 'when'=>function($model){
               if (!isset($model->generateModel) && !isset($model->generateCrud)){
                    return true;
               }
                 return false;
            }]

        ];
    }

}