<?php

    use classifier\helpers\FormHelper;
    use yii\bootstrap\Modal;
    use yii\helpers\Html;
    use yii\widgets\ActiveForm;
    use yii\widgets\Pjax;

    /* @var $this yii\web\View */
    /* @var $model \yii\db\ActiveRecord */
    /* @var $modelName string */
    /* @var $form yii\widgets\ActiveForm */
    $safeAttributes = $model->safeAttributes();
    if (empty($safeAttributes)) {
        $safeAttributes = $model->attributes();
    }
?>

<div class="test-table12-form">

    <?php $form = ActiveForm::begin(); ?>

    <?php foreach ($modelName::getTableSchema()->getColumnNames() as $attribute) :
        if (!in_array($attribute, \classifier\helpers\CommandHelper::getDefaultAttributes())) {
            if (in_array($attribute, $safeAttributes)) :
                $result = FormHelper::generateActiveField($model, $modelName, $attribute, $form);
                if (!is_array($result)):
                    ?>
                    <?= $result ?>
                <?php
                else:
                    if (!empty($result["select2"])):
                        ?>
                        <?=
                        $result["select2"]
                        ?>
                        <?php
                        Pjax::begin();
                        if (!empty($result["script"])) :
                            $this->registerJs($result["script"]);
                        endif;
                        Modal::begin([
                            'header' => '<h4>'.Yii::t("classifier","Create new").'</h4>',
                            'id' => 'modal_classifier',
                            'size' => 'model-lg',
                        ]);
                        Pjax::begin();
                        ?>

                        <div class="error_classifier_create"></div>
                        <div class="add_modal_form_classifier"></div>
                        <?php
                        Pjax::end();
                        Modal::end();
                        Pjax::end();

                    endif;
                endif;
                ?>
            <?php
            endif;
        }
        ?>
    <?php
    endforeach;
    ?>

    <div class="form-group">
        <?= Html::submitButton(Yii::t('classifier', 'Save'), ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
