<?php
    /**
     * Created by PhpStorm.
     * User: hobroker
     * Date: 7/21/16
     * Time: 8:52 AM
     */
    use classifier\helpers\CommonHelper;
    use yii\helpers\Url;

    /** @var array $timeline */

?>
<ul class="timeline">
    <?php foreach ($timeline as $key => $item): ?>
        <?php
        if (isset($item['items'])) {
            $next = false;
            foreach ($item['items'] as $link) {
                if (!empty($link['free-space']))
                    continue;
                if (isset($item['controller'])) {
                    $url = Url::to([$item['controller'] . '/' . $link['key']]);
                } else {
                    $url = $link['fullUrl'];
                }
               /* if (Yii::$app->user->can(CommonHelper::fixRbacPermission($url))) {
                    $next = true;
                }*/
            }
            /*  if (!$next)
                  continue;*/
        }
        ?>
        <li>
            <i class="fa fa-<?= $item['icon']['fa'] ?> bg-<?= $item['icon']['color'] ?>"></i>
            <div class="timeline-item">
                <h2 class="timeline-header info-box-number"><?= $key ?></h2>
                <div class="timeline-body">
                    <?php if (isset($item['items'])): ?>
                        <div class="row">
                            <?php foreach ($item['items'] as $link): ?>
                                <?php
                                if (empty($link['free-space'])) {
                                    if (isset($item['controller'])) {
                                        $url = Url::to([$item['controller'] . '/' . $link['key']]);
                                    } else {
                                        $url = $link['fullUrl'];
                                    }
                                    /* if (!Yii::$app->user->can(CommonHelper::fixRbacPermission($url)))
                                         continue;*/
                                    $col = isset($link['col-size']) ? $link['col-size'] : '6';
                                }
                                if (empty($link['free-space'])):
                                    ?>
                                    <div class="col-md-12 col-xs-12 col-sm-12 col-lg-6">
                                        <a href="<?= $url ?>">
                                            <div class="info-box info-box-sm bg-<?= $link['color'] ?>">
                                            <span class="info-box-icon">
                                                <i class="fa fa-<?=$link['icon']?>"></i>
                                            </span>
                                                <div class="info-box-content" style="text-align: center">
                                                <span class="info-box-text " >
                                                    <?php if (isset($link['title'])): ?>
                                                        <h4 style="font-weight: bolder; line-height: 60px ; word-break: break-all"><?= $link['title'] ?></h4>
                                                    <?php elseif (isset($link['key'])): ?>                                                        <?= ucfirst($link['key']) ?>
                                                    <?php endif; ?>
                                                </span>
                                                </div>
                                            </div>
                                        </a>
                                    </div>
                                <?php else: ?>
                                    <div class="col-md-<?= $link['free-space'] ?> col-xs-12"></div>
                                <?php endif; ?>
                            <?php endforeach; ?>
                        </div>
                    <?php endif; ?>
                    <?php if (isset($item['html'])): ?>
                        <?= $item['html'] ?>
                    <?php endif; ?>
                </div>
            </div>
        </li>
    <?php endforeach; ?>
    <li>
        <i class="fa fa-arrow-circle-up bg-gray"></i>
    </li>
</ul>
