<?php

/**
 * Creates a call for the method `yii\db\Migration::createTable()`.
 */
/* @var $table string the name table */
/* @var $fields array the fields */
/* @var $foreignKeys array the foreign keys */
/* @var $primaryKey array the primary key propreties */

?>
        if (Yii::$app->db->schema->getTableSchema("<?= $table ?>") === null) {
            $this->createTable('<?= $table ?>', [
        <?php foreach ($fields as $field):
            if (empty($field['decorators'])): ?>
                    '<?= $field['property'] ?>',
        <?php else: ?>
                    <?= "'{$field['property']}' => \$this->{$field['decorators']}" ?>,
        <?php endif;
        endforeach; ?>
                'created_at' => $this->timestamp()->notNull(),
                'updated_at' => $this->timestamp(),
                'created_user' => $this->bigInteger()->notNull(),
                'updated_user' => $this->bigInteger(),
                ]);

            <?php
                if(!empty($primaryKey)):
            ?>
//ADD PRIMARY KEY
            <?= $this->render('_addPrimaryKeys', [
                'table' => $table,
                'pk' => $primaryKey,
            ]);?>
            <?php
                endif;
            ?>
            <?= $this->render('_addForeignKeys', [
                'table' => $table,
                'foreignKeys' => $foreignKeys,
            ]);?>
<?php foreach ($fields as $field):
        if (!empty($field['comment'])): ?>
            <?php
            echo $this->render("_addCommentToColumn",[
                    "table"=>$table,
                    "column"=>$field["property"],
                    "comment"=>$field["comment"],
            ])
            ?>
        <?php
        endif;
    endforeach; ?>
        }

