<?php
    /**
     * Created by PhpStorm.
     * User: stefan
     * Date: 7/19/18
     * Time: 3:39 PM
     */

    namespace classifier\helpers;


    /**
     * Class AppHelper
     * @package common\helpers
     */
    class AppHelper
    {
        /**
         * @param $setting
         * @return null|string
         */
        public static function getConfigs($setting)
        {
            if (class_exists("\common\models\AppSetting")) {
                $result = \common\models\AppSetting::find()->where(['settingCode' => $setting])->one();
                if (!empty($result->settingCode)) {

                    if (!empty($result->settingCode == "ELASTIC")) {
                        if ($result->value == "true") {
                            if (!\common\helpers\CompatibilityHelper::isCompatibleElastic()) {
                                $result->value = false;
                                $result->save();
                            }
                        }
                    }
                    if ($result->value == "false") {
                        return false;
                    }
                    if ($result->value == "true") {
                        return true;
                    }
                    return trim($result->value);
                }
            }
            return null;

        }

        /**
         * @return array
         */
        public static function getDefaultFields()
        {
            return [
                'created_at',
                'updated_at',
                'created_user',
                'updated_user',
                'id'
            ];
        }
    }