<?php
/**
 * Created by PhpStorm.
 * User: stefan
 * Date: 4/23/18
 * Time: 11:32 AM
 */

namespace classifier\modules\ClassifierCreator;


use yii\web\AssetBundle;

/**
 * Class ClassifyingAsset
 * @package classifier\modules\ClassifierCreator
 */
class ClassifyingAsset extends AssetBundle
{
    /**
     * @var string
     */
    public $sourcePath = "@vendor/esempla/yii2-classifiers/src/modules/ClassifierCreator/assets";

    public $css = [
        'css/css.css',
        'css/toastr.min.css'

    ];
    public $js = [
        'js/js.js',
        'js/toastr.min.js'
    ];
    public $depends = [
        'backend\assets\AppAsset',
    ];
    public $publishOptions = [
        'forceCopy' => true,
    ];


}