<?php
declare(strict_types=1);

use kartik\builder\Form;

?>
<div class="col-lg-2 dynamyc_select" data-id="<?= $i ?>">
    <?php
  if(!empty($field_data['type'])){
      preg_match("/(?<=\().*?(?=\))/", ($field_data['type'] ?? null), $output_array);

  }
  $lenght=$output_array[0] ?? null;
    $default_data = $field_data['constraints']['defaultValue'] ?? null;
    if (isset($field_data['constraints'])) {
        $constraints = array_flip($field_data['constraints']);
    }
    //try {
        echo Form::widget([
            // formName is mandatory for non active forms
            // you can get all attributes in your controller
            // using $_POST['kvform']
            //'model'=>$model,
            //'form'=>$form,
            'formName' => "Classifier[$i]",
            // default grid columns
            'columns' => 1,

            // set global attribute defaults
            'attributeDefaults' => [
                'type' => Form::INPUT_TEXT,

                'inputContainer' => ['class' => 'col-md-12'],
                'container' => ['class' => 'form-group'],
            ],

            'attributes' => [
                'length' => [
                    'label' => Yii::t('index', "Length"),
                    'value' => empty($lenght) ? 255 :$lenght,
                    'options' => ['disabled' => $lenght == 255 ? true :false],

                    'type' => Form::INPUT_WIDGET,
                    'widgetClass' => 'kartik\number\NumberControl'
                ],
            ]
        ]);

//    } catch (Exception $exception) {
//        Yii::error($exception->getMessage());
//    }

    ?>
</div>
<div class="col-lg-2 dynamyc_select_remove no-padding " data-id="<?= $i ?>">
    <?php

    try {
        echo Form::widget([
            // formName is mandatory for non active forms
            // you can get all attributes in your controller
            // using $_POST['kvform']
            //'model'=>$model,
            //'form'=>$form,
            'formName' => "Classifier[$i]",
            // default grid columns
            'columns' => 1,

            // set global attribute defaults
            'attributeDefaults' => [
                'type' => Form::INPUT_TEXT,

                'inputContainer' => ['class' => 'col-md-12'],
                'container' => ['class' => 'form-group'],
            ],

            'attributes' => [
                'null' => ['label' => Yii::t('index', "NotNUll"),
                    'value'=>isset($constraints['notNull'])  ? 1 : false,
                    'options' => ['disabled'=>(!isset($constraints['notNull']) && !empty($field_data)) ? true : false],
                    'type' => Form::INPUT_CHECKBOX],


            ]
        ]);
    } catch (Exception $exception) {
        Yii::error($exception->getMessage());
    }
    ?>
</div>
<div class="col-lg-5 dynamyc_select_option " data-id="<?= $i ?>">
    <?php

    try {
        echo Form::widget([
            // formName is mandatory for non active forms
            // you can get all attributes in your controller
            // using $_POST['kvform']
            //'model'=>$model,
            //'form'=>$form,
            'formName' => "Classifier[$i]",
            // default grid columns
            'columns' => 2,
            // set global attribute defaults
            'attributeDefaults' => [
                'type' => Form::INPUT_TEXT,
                'inputContainer' => ['class' => 'col-md-12'],
                'container' => ['class' => 'form-group'],
            ],
            'attributes' => [
                'key' => [
                    'label' => Yii::t('index', "Key"),
                    'type' => Form::INPUT_WIDGET,
                    'value'=>is_int($primaryKey ?? null) ? 'primaryKey' : (isset($constraints['unique']) ? 'unique' : false),

                    'widgetClass' => 'kartik\select2\Select2',
                    'options' => [
                        "readonly"=>isset($field_data['constraints']) ?false:  (empty($field_data) ? "": "readonly") ,
                        'data' => [
                            'NULL' => 'NULL',
                            'primaryKey' => 'primaryKey',
                            'unique' => 'unique',
                        ]
                    ],
                ],
                'default' => [
                    'label' => Yii::t('index', "Default value"),
                    'value'=>$default_data ?? null,
                    'options' => [
                        "placeholder" => Yii::t('index', "Default value")
                    ]
                ],
            ]
        ]);

    } catch (Exception $exception) {
        Yii::error($exception->getMessage());
    }
    ?>
</div>
<div class="col-lg-3 dynamyc_select_remove no-padding  checkbox_arange " data-id="<?= $i ?>">
    <?php try {
        echo Form::widget([
            // formName is mandatory for non active forms
            // you can get all attributes in your controller
            // using $_POST['kvform']
            //'model'=>$model,
            //'form'=>$form,
            'formName' => "Classifier[$i]",
            // default grid columns
            'columns' => 2,
            // set global attribute defaults
            'attributeDefaults' => [
                'type' => Form::INPUT_TEXT,
                'inputContainer' => ['class' => 'col-md-12'],
                'container' => ['class' => 'form-group'],
            ],
            'attributes' => [
                'public' => [
                    'label' => Yii::t('index', "Public"),
                    'type' => Form::INPUT_CHECKBOX
                ],
                'label' => [
                    'value'=>$field_data['label'] ?? null,

                    'label' => Yii::t('index', "Label"),
                ],
            ]
        ]);
    } catch (Exception $exception) {
        Yii::error($exception->getMessage());
    }
    ?>
</div>



