<?php
declare(strict_types=1);

use kartik\builder\Form;

/* @var $model classifier\modules\ClassifierCreator\models\Classifier */

?>
<div class="col-lg-4">
    <?php
$fields_info=$field_data['constraints']['foreignKey'] ?? null;
    //try {
        /** @var array $data_classifyng */
        echo Form::widget([
            // formName is mandatory for non active forms
            // you can get all attributes in your controller
            // using $_POST['kvform']
            //'model'=>$model,
            //'form'=>$form,
            'formName' => "Classifier[$i]",
            // default grid columns
            'columns' => 1,
            // set global attribute defaults
            'attributeDefaults' => [
                'type' => Form::INPUT_TEXT,
                'inputContainer' => ['class' => 'col-md-12'],
                'container' => ['class' => 'form-group'],
            ],

            'attributes' => [
                'clasificator_tip' => [
                    'type' => Form::INPUT_WIDGET,
                    'label' => Yii::t('index', "Classifier Creator"),
                    'widgetClass' => 'kartik\select2\Select2',
                    'value'=> $fields_info['tableName'] ?? '' ,
                    'options' => [

                        'pluginOptions' => [
                            "placeholder" => Yii::t('index', "Select Classifier")
                        ],
                        "readonly"=>isset($fields_info['tableName'] ) ? "readonly":  false ,
                        'data' => $data_classifyng['classifyng'] ?? $data_classifyng
                    ],
                ],
            ]
        ]);
//    } catch (Exception $exception) {
//        Yii::error($exception->getMessage());
//    }


    ?>
</div>
<div class=" dynamyc_select_option " data-id="<?= $i ?>">
            <?php
               if (isset($field_data['constraints']) && $data_classifyng['options']){
                   echo  $this->render('_form_select2_option', [
                       'data_option' => $data_classifyng['options'],
                       'data'=>$field_data['constraints'],
                       'form' => $form,
                       "i" => $i,

                   ]) ;
               }
            ?>
</div>


