<?php
declare(strict_types=1);

use kartik\builder\Form;

/* @var $model classifier\modules\ClassifierCreator\models\Classifier */

?>
<div class="col-lg-3">
    <?php
//    die(var_dump($data['foreignKey']['fieldColumn']));
    try {
        /** @var array $data_option */
        echo Form::widget([
            // formName is mandatory for non active forms
            // you can get all attributes in your controller
            // using $_POST['kvform']
            //'model'=>$model,
            //'form'=>$form,
            'formName' => "Classifier[$i]",
            // default grid columns
            'columns' => 1,

            // set global attribute defaults
            'attributeDefaults' => [
                'type' => Form::INPUT_TEXT,
                'inputContainer' => ['class' => 'col-md-12'],
                'container' => ['class' => 'form-group'],
            ],

            'attributes' => [
                'option' => [
                    'type' => Form::INPUT_WIDGET,
                    'label' => Yii::t('index', "Classifier fields"),
                    'widgetClass' => 'kartik\select2\Select2',
                    'pluginOptions' => [
                        'allowClear' => true
                    ],
                    'value'=> $data['foreignKey']['fieldColumn']?? '' ,
                    'options' => [
                        "readonly"=>isset($data['foreignKey']['fieldColumn'] ) ? "readonly":  false ,
                        'data' => $data_option
                    ],
                ],
            ]
        ]);
    } catch (Exception $exception) {
        Yii::error($exception->getMessage());
    }
    ?>
</div>
<div class="col-lg-5 dynamyc_select_remove no-padding  checkbox_arange " data-id="<?= $i ?>">
    <?php try {
        echo Form::widget([
            // formName is mandatory for non active forms
            // you can get all attributes in your controller
            // using $_POST['kvform']
            //'model'=>$model,
            //'form'=>$form,
            'formName' => "Classifier[$i]",
            // default grid columns
            'columns' => 3,
            // set global attribute defaults
            'attributeDefaults' => [
                'type' => Form::INPUT_TEXT,
                'inputContainer' => ['class' => 'col-md-12'],
                'container' => ['class' => 'form-group'],
            ],
            'attributes' => [
                'null' => ['label' => Yii::t('index', "NotNUll"), 'type' => Form::INPUT_CHECKBOX],
                'public' => [
                    'label' => Yii::t('index', "Public"),
                    'type' => Form::INPUT_CHECKBOX
                ],
                'label' => [
                    'label' => Yii::t('index', "Label"),
                ],
            ]
        ]);
    } catch (Exception $exception) {
        Yii::error($exception->getMessage());
    }
    ?>
</div>
