<?php

    use classifier\helpers\CommandHelper;
    use yii\helpers\Html;
    use yii\grid\GridView;
    use yii\helpers\Inflector;
    use yii\widgets\Pjax;

    /* @var $this yii\web\View */
    /* @var $dataProvider yii\data\ActiveDataProvider */
    /* @var array $gridColumns */
    $index=Inflector::pluralize(str_replace(CommandHelper::DEFAULT_NS."\\","",$modelName));

    $this->title =$index;
    $this->params['breadcrumbs'][] = $this->title;
?>
<div class="test-table12-index bg-white">

    <?php Pjax::begin(); ?>

    <p>
        <?= Html::a(Yii::t('classifier', 'Create'), ['create'], ['class' => 'btn btn-success']) ?>
    </p>


    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'columns' => $gridColumns
        ,
    ]); ?>
    <?php Pjax::end(); ?>
</div>
