<?php

    use classifier\helpers\CommandHelper;
    use yii\helpers\Html;
    use yii\widgets\DetailView;

    /* @var $this yii\web\View */
    /* @var $model \yii\db\ActiveRecord */
    /* @var $modelName string */


    $view=str_replace(CommandHelper::DEFAULT_NS."\\","",$modelName);
    $this->title = $view;
    $this->params['breadcrumbs'][] = ['label' => Yii::t('classifier', 'Classifiers'), 'url' => ['index']];
    $this->params['breadcrumbs'][] = $this->title;

?>
<div class="test-table12-view bg-white">


    <p>
        <?= Html::a(Yii::t('classifier', 'Update'), ['update', 'id' => $model->id],
            ['class' => 'btn btn-primary']) ?>
        <?= Html::a(Yii::t('classifier', 'Delete'), ['delete', 'id' => $model->id], [
            'class' => 'btn btn-danger',
            'data' => [
                'confirm' => Yii::t('classifier', 'Are you sure you want to delete this item?'),
                'method' => 'post',
            ],
        ]) ?>
    </p>

    <?= DetailView::widget([
        'model' => $model,
        'attributes' => $model->attributes()
    ]) ?>

</div>
